# SINUMERIK Endpoint Properties

## `type` (string, enum)

The type of subscription

This element must be one of the following enum values:

* `notify`
* `poll`

## `method` (string, required)

The method to use

## `params` (array)

The method parameters

## `pollInterval` (integer)

The amount of time between polls

Default: `1000`

Additional restrictions:

* Minimum: `1000`

## `publishInterval` (integer)

Optional, sets the interval in which values are sent to their appropriate publish methods.

Default: `1000`

## `samplingInterval` (integer)

Integer, that sets the interval in which values are read from the server.

Default: `1000`

## `maxNotificationsPerPublish` (integer)

Sets the maximum number of monitor notifications that are in a single publish message of the OPC UA subscription. Setting this to a lower value will lead to more network traffic.

Default: `100`

## `priority` (integer)

Default: `10`

## `requestedLifetimeCount` (integer)

Default: `30`

## `requestedMaxKeepAliveCount` (integer)

Default: `10`

## `retryMonitorTimeout` (integer)

Default: `300000`

Additional restrictions:

* Minimum: `10000`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cybus.io/2-1-2/connectors/shop-floor-connectors/sinumerik/sinumerikendpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
